## org.apache.poi.hslf.blip
Class BitmapPainter

    java.lang.Object
      org.apache.poi.hslf.blip.BitmapPainter

All Implemented Interfaces:
  ImagePainter

    public final class BitmapPainter

extends java.lang.Object
implements ImagePainter

Creates BufferedImage using javax.imageio.ImageIO and draws it in the specified graphics.

Author:
  Yegor Kozlov.

Field Summary
`protected POILogger` `logger`

Constructor Summary
`BitmapPainter()`

Method Summary
`void` `paint(java.awt.Graphics2D graphics, PictureData pict, Picture parent)` Paints the specified picture data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected POILogger logger

Constructor Detail

### BitmapPainter

    public BitmapPainter()

Method Detail

### paint

    public void paint(java.awt.Graphics2D graphics,
                      PictureData pict,
                      Picture parent)

  Description copied from interface: `ImagePainter`
  Paints the specified picture data

  Specified by:
    `paint` in interface `ImagePainter`
  Parameters:
    `graphics` - the graphics to paintb into
    `pict` - the data to paint
    `parent` - the shapes that owns the picture data

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.